
include <boardgame_insert_toolkit_lib.scad>;

// determines whether lids are output.
g_b_print_lid = 1;

// determines whether boxes are output.
g_b_print_box = 0; 

// Focus on one box
g_isolated_print_box = "Terrain"; 

// Used to visualize how all of the boxes fit together. 
// Turn off for printing.
g_b_visualization = 0;          

// Makes solid simple lids instead of the honeycomb ones.
// Might be faster to print. Definitely faster to render.
g_b_simple_lids = 0;            


// creates the indentation on the bottom of the box 
//that allows the lid to be put under when in play.
g_b_fit_lid_underneath = 1; 

// this is the outer wall thickness. 
//Default = 2
g_wall_thickness = 2;

// this is the thickness of partitions between compartments
// Default = 1
g_partition_thickness = 1; // default = 1

// this is the width of partitions that are for 
// inserting fingers to grab the bits.
// default = 13
g_finger_partition_thickness = 13; 

data =
[
    [   "Terrain",
        [
            [ "box_dimensions",                             [248.0, 190.0, 50.0] ],
            [ "enabled",  true ],
            [ "label",
                [
                    [ "text",   "Journeys in Middle-Earth Terrain"],
                    [ "size",   6 ],
                    [ "rotation", 90]
                ]
            ],

            [   "components",
                [
                    [   "river",
                        [
                            ["type",                        "generic"],
                            ["compartment_size",            [ 15, 107.0, 48.0] ],
                            ["num_compartments",            [1, 1] ], 
                            ["rotation",                    0 ], 
                            ["position",                    [0,"max"]],
                            [ "label",
                                [
                                    [ "text",   "RIVER"],
                                    [ "size",   6 ],
                                    [ "rotation", 90]
                                ]
                            ],

                        ]
                    ],
                    [   "wall",
                        [
                            ["type",                        "generic"],
                            ["compartment_size",            [ 100, 40.0, 48.0] ],
                            ["num_compartments",            [1, 1] ], 
                            ["rotation",                    0 ], 
                            ["position",                    [16,"max"]],
                            [ "label",
                                [
                                    [ "text",   "WALLS"],
                                    [ "size",   6 ],
                                    [ "rotation", 0]
                                ]
                            ],
                        ]
                    ],
                    [   "table",
                        [
                            ["type",                        "generic"],
                            ["compartment_size",            [ 65, 66.0, 48.0] ],
                            ["num_compartments",            [1, 1] ], 
                            ["rotation",                    0 ], 
                            ["position",                    [16,79]],
                            [ "label",
                                [
                                    [ "text",   "TABLES"],
                                    [ "size",   6 ],
                                    [ "rotation", 0]
                                ]
                            ],
                        ]
                    ],
                    [   "fire",
                        [
                            ["type",                        "generic"],
                            ["compartment_size",            [ 34, 66.0, 48.0] ],
                            ["num_compartments",            [1, 1] ], 
                            ["rotation",                    0 ], 
                            ["position",                    [82,79]],
                            [ "label",
                                [
                                    [ "text",   "FIRE PITS"],
                                    [ "size",   6 ],
                                    [ "rotation", 90]
                                ]
                            ],
                        ]
                    ],
                    [   "barrel",
                        [
                            ["type",                        "generic"],
                            ["compartment_size",            [ 126, 92.0, 48.0] ],
                            ["num_compartments",            [1, 1] ], 
                            ["rotation",                    0 ], 
                            ["position",                    [117,"max"]],
                            [ "label",
                                [
                                    [ "text",   "BARRELS"],
                                    [ "size",   6 ],
                                    [ "rotation", 0]
                                ]
                            ],
                        ]
                    ],
                    [   "bush",
                        [
                            ["type",                        "generic"],
                            ["compartment_size",            [ 76, 76.0, 48.0] ],
                            ["num_compartments",            [1, 1] ], 
                            ["rotation",                    0 ], 
                            ["position",                    [0,0]],
                            [ "label",
                                [
                                    [ "text",   "SHRUBBERY"],
                                    [ "size",   6 ],
                                    [ "rotation", 0]
                                ]
                            ],
                        ]
                    ],
                    [   "bush",
                        [
                            ["type",                        "generic"],
                            ["compartment_size",            [ 76, 76.0, 48.0] ],
                            ["num_compartments",            [1, 1] ], 
                            ["rotation",                    0 ], 
                            ["position",                    [77,0]],
                            [ "label",
                                [
                                    [ "text",   "ROCKS"],
                                    [ "size",   6 ],
                                    [ "rotation", 0]
                                ]
                            ],
                        ]
                    ],
                    [   "statue",
                        [
                            ["type",                        "generic"],
                            ["compartment_size",            [ 89, 92.0, 48.0] ],
                            ["num_compartments",            [1, 1] ], 
                            ["rotation",                    0 ], 
                            ["position",                    [154,0]],
                            [ "label",
                                [
                                    [ "text",   "STATUES"],
                                    [ "size",   6 ],
                                    [ "rotation", 0]
                                ]
                            ],
                        ]
                    ],
                ]
            ]
        ]
    ]
];


MakeAll();
